Package Details: libvterm-bzr r755-1

Git Clone URL: https://aur.archlinux.org/libvterm-bzr.git (read-only)
Package Base: libvterm-bzr
Description: Abstract library implementation of a VT220/xterm/ECMA-48 terminal emulator.
Upstream URL: http://www.leonerd.org.uk/code/libvterm
Licenses: MIT
Conflicts: libvterm
Provides: libvterm=r755
Submitter: fwalch
Maintainer: fwalch
Last Packager: fwalch
Votes: 28
Popularity: 0.000115
First Submitted: 2015-06-23 14:58
Last Updated: 2019-09-13 20:43

Dependencies (1)

Required by (4)

Sources (1)

Latest Comments

DrJPepper commented on 2019-09-16 00:43

Oh, you're right running that command does work. Must be something wrong specific to my machine, thanks!

fwalch commented on 2019-09-15 19:45

DrJPepper: I don't have any issues getting the sources from the repo or building the package:

$ bzr branch http://bazaar.leonerd.org.uk/c/libvterm/
Branched 755 revisions.

$ makepkg
==> Making package: libvterm-bzr r755-1 (Sun 15 Sep 2019 09:39:20 PM CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Branching http://bazaar.leonerd.org.uk/c/libvterm/...
Branched 755 revisions.                                                                                                                                       
==> Validating source files with sha256sums...
    libvterm-bzr ... Skipped
==> Extracting sources...
  -> Creating working copy of libvterm-bzr bzr repo...
==> Starting pkgver()...                                                                                                                                      
==> Starting build()...

What exactly doesn't work for you?

DrJPepper commented on 2019-09-15 14:37

The http://bazaar.leonerd.org.uk/c/libvterm/ repo is currently empty, just a heads up. Not sure what there is to do about that but package is currently unbuildable.

American_Jesus commented on 2015-08-22 14:22

Sorry for the flag, actually was some problem with yaourt!

American_Jesus commented on 2015-08-22 14:16

Can't build:
bzr: ERROR: Corruption while decompressing repository file, zlib: Error -3 while decompressing data: incorrect data check